kopano-ibrule(1)

Name

kopano-ibrule — Inbox rule inspection and manipulation utility

Synopsis

kopano-ibrule [-AP] [-D index] [-S] [-h host] [-u username] [rule-spec...]

Description

This program can be used to inspect or change the so-called "inbox rules" of a user's inbox. This is a mechanism by which they can instruct kopano-dagent to, for example, move, copy, forward, or reply to, messages upon reception.

Options

-A (with rule-spec)
    Add a new rule to the inbox rules table.

-D seqno
    Delete the rule with the given sequence number.

-P  Interactively prompt for the connection password.

-S  Show the inbox rule table for the particular user.

-h host
    URI for a specific server to connect to and execute the action on.

Default: default:

Rule specification

cond-spec := cond exists-rst

exists-rst := exists proptag

proptag := hex-value | message-class

act-spec := act { delete | mark-as-read | copy store guid folder guid | move store guid folder guid }

rule-spec := seq number | cond-spec | act-spec | stop

Usage examples

Log in and show table:
    IBR_PASSWORD=xfoo kopano-ibrule -u foo -S

Marking all mails as read that were sent to oneself, and cease processing of rules afterwards:

    IBR_PASSWORD=xfoo kopano-ibrule -u foo -A cond exists message-class content received-from = kopano:foo ] act mark-as-read stop